API ReferenceapiintegrationsGET /v1/connections

GET /v1/connections

Service: integrations · operationId: (none)

Required scopes

(no scope declared — review service config)

Query parameters

  • userId (string) required

Responses

200 User connections

{
  "type": "object",
  "properties": {
    "connections": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "userId": {
            "type": "string"
          },
          "providerId": {
            "type": "string"
          },
          "providerSlug": {
            "type": "string"
          },
          "status": {
            "type": "string"
          },
          "lastSyncAt": {
            "type": [
              "string",
              "null"
            ]
          },
          "createdAt": {
            "type": "string"
          }
        },
        "required": [
          "id",
          "userId",
          "providerId",
          "providerSlug",
          "status",
          "lastSyncAt",
          "createdAt"
        ]
      }
    }
  },
  "required": [
    "connections"
  ]
}

500 Internal error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://integrations.platform.loop.health/v1/connections \
  -H "Authorization: Bearer $ACCESS_TOKEN"